# Rakefile
require './config/config'
require 'require_all'

require_all('lib')

# Run with: rake shell
task :shell do
  connect('sfmc')
  require_all('models')
  require 'irb'
  require 'irb/completion'

  ARGV.clear
  IRB.start
end

namespace :db do
  task :migrate do
    connect('sa_sfmc')
    ActiveRecord::Tasks::DatabaseTasks.migrate
  end
end

namespace :model do
  task :create do
    DataExtensionModelGenerator.run
  end

  task :recreate do
    STDOUT.puts "This will recreate all models and factories from scratch; any previous changes will be lost. Are you sure? (y/n)"
    input = STDIN.gets.strip
    if input == 'y'
      DataExtensionModelGenerator.run(force: true)
    else
      STDOUT.puts "Aborting"
    end
  end
end

namespace :query do
  task :new do
    require 'fileutils'
    FileUtils.touch('file.txt')
  end
end
